Skip to main content
`Ctrl`+`K`

# PCMGSetRScale

Sets the pointwise scaling for the restriction operator from level l to l-1.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetRScale(PC pc, PetscInt l, Vec rscale)

Logically Collective

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) to supply [Do not supply 0]

- rscale - the scaling

## Note

When evaluating a function on a coarse level one does not want to do F(R * x) one does F(rscale * R * x) where rscale is 1 over the row sums of R. It is preferable to use `PCMGSetInjection()` to control moving primal vectors.

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetInterpolation()`, `PCMGSetRestriction()`, `PCMGGetRScale()`, `PCMGSetInjection()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages